<?
include("../conexion/class-sb-conexion.php");
include("../../conex.php");

	//***************** busco ultimo grabado con datos
	
	$sql_a ="SELECT Codigo_Datos FROM sb_datos_empresa_proceso WHERE Codigo_Empresa_Datos='".$empresa_global."' ORDER BY Proceso_Datos";
		
		  	$resf = mysql_query($sql_a, $enlace);	
			$cont=0;
			while (mysql_fetch_object ($resf))
				{
				$ult = mysql_result($resf, $cont, "Codigo_Datos");
				$cont+=1;
				}
			
		
				
	
	
	if ($ult==0) {$ult=1;}

	
	
	
		$dbx = new sb_mysql();
	$sql="INSERT INTO sb_datos_empresa_proceso
						  ( Codigo_Empresa_Datos,
	  						Proceso_Datos,
  							Tope_Gratificacion_Datos,
  							Tramo1_Asig_Datos,
  							Tramo2_Asig_Datos,
  							Tramo3_Asig_Datos,
  							Tramo4_Asig_Datos,
  							Tope_Imponible_Datos,
							Tope_Imponible_Ips_Datos,
							Tope_Imponible_Salud_Datos,
  							Tope_Imponible_Cesantia_Datos,
  							Factor_Horas_Extras_Datos,
  							Caja_Comp_Datos,
  							Por_Caja_Comp_Datos,
  							Mutual_Datos,
  							Por_Mutual_Datos,
  							Por_Gratificacion_Datos,
  							Sis_Datos
						)
       SELECT   Codigo_Empresa_Datos,
  				'".$periodo."',
  				Tope_Gratificacion_Datos,
  				Tramo1_Asig_Datos,
  				Tramo2_Asig_Datos,
  				Tramo3_Asig_Datos,
  				Tramo4_Asig_Datos,
  				Tope_Imponible_Datos,
				Tope_Imponible_Ips_Datos,
				Tope_Imponible_Salud_Datos,
  				Tope_Imponible_Cesantia_Datos,
  				Factor_Horas_Extras_Datos,
  				Caja_Comp_Datos,
  				Por_Caja_Comp_Datos,
  				Mutual_Datos,
  				Por_Mutual_Datos,
  				Por_Gratificacion_Datos,
  				Sis_Datos

       FROM sb_datos_empresa_proceso where Codigo_Datos=".$ult."
	   and Codigo_Empresa_Datos='".$empresa_global."' limit 1 	";
	$consulta = $dbx->consulta_free($sql);


?>
<script>
parent.document.getElementById('aceptar').onclick();
</script>



